> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Details



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}:
    get:
      tags:
        - Workspaces
      summary: Get Details
      operationId: WorkspacesController_getDetails_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceDetailsResponseDto'
components:
  schemas:
    WorkspaceDetailsResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerId:
          type: string
          nullable: true
        legalName:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        apartment:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        zipCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        defaultCurrency:
          type: string
      required:
        - id
        - name
        - ownerId
        - legalName
        - address
        - apartment
        - city
        - state
        - zipCode
        - country
        - defaultCurrency

````